Subject: Re: bug#79370: [PATCH] Do not quote "^From " when fetching from IMAP

From: Manuel Giraud <[email-masked]>
Date: Tue, 02 Sep 2025 19:24:11 +0200

Robert Pluim <[email-masked]> writes:

>>>>>> On Tue, 02 Sep 2025 17:26:11 +0200, Manuel Giraud <[email-masked]> said:
>
>     Manuel> Tags: patch
>     Manuel> Hi,
>
>     Manuel> I'm using mail-source in Gnus to fetch mail from IMAP.  Whenever I get a
>     Manuel> message with a line that start with "From " this line is quoted.
>
>     Manuel> This patch removes this quirk… but maybe it was there for a reason.  We
>     Manuel> don't have the history for this modification since it is present in the
>     Manuel> code of "mail-source.el" since its import into Emacs (in 2000).  FWIW,
>     Manuel> 'mail-source-fetch-maildir' have this part commented since 2000 also.
>
> mbox uses "From" at the start of a line as a separator between
> messages. If youʼre certain that the destination is not an mbox file,
> then not prepending '>' is ok.

Ok so we'd have to add a test on the storage backend (I use nnml
myself).  Then maybe it is safer to keep this is as is for a relatively
minor annoyance.
-- 
Manuel Giraud